import React from 'react'
import { Field, reduxForm } from 'redux-form';

import './filtersEvents.scss';

let FiltersEvents = props => {
    const { handleSubmit, getAllEvents } = props;

    const submit = value => {
        console.log(value);
        getAllEvents(value.typeEvent);
    };

    return (
        <form className="form" onSubmit={handleSubmit(submit)}>
            <div>
                <label htmlFor="typeEvent">Type event</label>
                <Field name="typeEvent" component="select">
                    <option value="All events">All events</option>
                    <option value="Marathon">Marathon</option>
                    <option value="Triathlon">Triathlon</option>
                    <option value="Cycling">Cycling</option>
                </Field>
            </div>
            <button type="submit">Search</button>
        </form>
    )
};

FiltersEvents = reduxForm({
    form: 'filters'
})(FiltersEvents)

export default FiltersEvents